[
    {
        "Id": "192a7291dc00c9ba0286e042ee1e8f4ee79a61f5fdbffb3bb6d800bd15168268",
        "Created": "2025-08-13T06:02:37.57113492Z",
        "Path": "docker-entrypoint.sh",
        "Args": [
            "mariadbd"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 714491,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-13T06:02:37.656178222Z",
            "FinishedAt": "0001-01-01T00:00:00Z"
        },
        "Image": "sha256:2404e1d29d08b334efe2fdb6d4e5077ea8ac0532dcc43e63c694cad53803cd7c",
        "ResolvConfPath": "/var/lib/docker/containers/192a7291dc00c9ba0286e042ee1e8f4ee79a61f5fdbffb3bb6d800bd15168268/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/192a7291dc00c9ba0286e042ee1e8f4ee79a61f5fdbffb3bb6d800bd15168268/hostname",
        "HostsPath": "/var/lib/docker/containers/192a7291dc00c9ba0286e042ee1e8f4ee79a61f5fdbffb3bb6d800bd15168268/hosts",
        "LogPath": "/var/lib/docker/containers/192a7291dc00c9ba0286e042ee1e8f4ee79a61f5fdbffb3bb6d800bd15168268/192a7291dc00c9ba0286e042ee1e8f4ee79a61f5fdbffb3bb6d800bd15168268-json.log",
        "Name": "/nextcloud-db",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/srv/mergerfs/DataPool/nextcloud/mariadb:/var/lib/mysql:rw"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "nextcloud_nextcloud-internal",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "unless-stopped",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "192a7291dc00c9ba0286e042ee1e8f4ee79a61f5fdbffb3bb6d800bd15168268",
                "LowerDir": "/var/lib/docker/overlay2/8d9ae519412103601f394eb7d2710bfd10c00cae404266a742ecd950ef553c0e-init/diff:/var/lib/docker/overlay2/8a312ad9017c9a3f841aa0fc89783c6457570e5c45e5b36a0b9edd84a9b28b3a/diff:/var/lib/docker/overlay2/bf8b454fc60f85467ed3b2ff9f44d098d09d73d1bc9b06601122dc93eb79a861/diff:/var/lib/docker/overlay2/bc99fadeed769bd26b31e5561dea3d6a7c6e8d452a918156522999f9f7610c5a/diff:/var/lib/docker/overlay2/1f2b13d7e23ec18e38c9e3309d93139b9580b666e75e987e1f77a6e05ffb0eaa/diff:/var/lib/docker/overlay2/b956a6d809261aeed9d27974be079fe0ea7fd7458af3ca38c7564f20b2509e73/diff:/var/lib/docker/overlay2/ac120b6b7f30d76082d3fa1fcaabfeeeb0b3c1d7bb9a6fae98515be3e7a430b5/diff:/var/lib/docker/overlay2/ec582b0c43f8d28e6d2c6de210323ff80ea6492e6db725ace4fdc085a5eb4788/diff:/var/lib/docker/overlay2/a0f5c2d88768079294ef39caaee10b5d729d387d26be7a59149bcd436c65eb66/diff",
                "MergedDir": "/var/lib/docker/overlay2/8d9ae519412103601f394eb7d2710bfd10c00cae404266a742ecd950ef553c0e/merged",
                "UpperDir": "/var/lib/docker/overlay2/8d9ae519412103601f394eb7d2710bfd10c00cae404266a742ecd950ef553c0e/diff",
                "WorkDir": "/var/lib/docker/overlay2/8d9ae519412103601f394eb7d2710bfd10c00cae404266a742ecd950ef553c0e/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/srv/mergerfs/DataPool/nextcloud/mariadb",
                "Destination": "/var/lib/mysql",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "0eb09d8f12b4",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "3306/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "MYSQL_USER=nextcloud",
                "MYSQL_ROOT_PASSWORD=YourStrongRootPasswordHere",
                "MYSQL_PASSWORD=YourStrongDatabasePasswordHere",
                "MYSQL_DATABASE=nextcloud1",
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "GOSU_VERSION=1.17",
                "LANG=C.UTF-8",
                "MARIADB_MAJOR=10.6",
                "MARIADB_VERSION=1:10.6.23+maria~ubu2204"
            ],
            "Cmd": [
                "mariadbd"
            ],
            "Image": "mariadb:10.6",
            "Volumes": {
                "/var/lib/mysql": {}
            },
            "WorkingDir": "",
            "Entrypoint": [
                "docker-entrypoint.sh"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "f7597c0c214a5921728ecfe50b7df713700bc1b373564e622f20c120e60c15b7",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:c14f2faa3568d30c2196e10206520115d020de516e143f6a351db9eba3011d6b",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "nextcloud",
                "com.docker.compose.project.config_files": "/srv/mergerfs/presscloud/docker/nextcloud/nextcloud.yml,/srv/mergerfs/presscloud/docker/nextcloud/compose.override.yml",
                "com.docker.compose.project.environment_file": "/srv/mergerfs/presscloud/docker/global.env,/srv/mergerfs/presscloud/docker/nextcloud/nextcloud.env",
                "com.docker.compose.project.working_dir": "/srv/mergerfs/presscloud/docker/nextcloud",
                "com.docker.compose.service": "nextcloud-db",
                "com.docker.compose.version": "2.35.1",
                "org.opencontainers.image.authors": "MariaDB Community",
                "org.opencontainers.image.base.name": "docker.io/library/ubuntu:jammy",
                "org.opencontainers.image.description": "MariaDB Database for relational SQL",
                "org.opencontainers.image.documentation": "https://hub.docker.com/_/mariadb/",
                "org.opencontainers.image.licenses": "GPL-2.0",
                "org.opencontainers.image.ref.name": "ubuntu",
                "org.opencontainers.image.source": "https://github.com/MariaDB/mariadb-docker",
                "org.opencontainers.image.title": "MariaDB Database",
                "org.opencontainers.image.url": "https://github.com/MariaDB/mariadb-docker",
                "org.opencontainers.image.vendor": "MariaDB Community",
                "org.opencontainers.image.version": "10.6.23"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "818b56f7983c05bf2e2db6982bd6d7070961f03a23744ca3df4a510d1203b320",
            "SandboxKey": "/var/run/docker/netns/818b56f7983c",
            "Ports": {
                "3306/tcp": null
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "nextcloud_nextcloud-internal": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "nextcloud-db"
                    ],
                    "MacAddress": "e6:d4:8d:cc:07:80",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "ebe1b3036446770dcd767ab73157e5a076f03c2b8b9d96d78ccd2b9a7c078ca6",
                    "EndpointID": "7564211c71fec11cb5d6329b19b8a3ce8689366ba471b29a0694f866e425f531",
                    "Gateway": "172.20.0.1",
                    "IPAddress": "172.20.0.4",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "nextcloud-db",
                        "192a7291dc00",
                        "0eb09d8f12b4"
                    ]
                }
            }
        }
    }
]
